Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class PutAttributesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.simpledb.model.PutAttributesRequest

    public class PutAttributesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `PutAttributes operation`.

The PutAttributes operation creates or replaces attributes in an item. The client may specify new attributes using a combination of the `Attribute.X.Name` and `Attribute.X.Value` parameters. The client specifies the first attribute by the parameters `Attribute.0.Name` and `Attribute.0.Value` , the second attribute by the parameters `Attribute.1.Name` and `Attribute.1.Value` , and so on.

Attributes are uniquely identified in an item by their name/value combination. For example, a single item can have the attributes `{ "first_name", "first_value" }` and `{ "first_name", second_value" }` . However, it cannot have two attribute instances where both the `Attribute.X.Name` and `Attribute.X.Value` are the same.

Optionally, the requestor can supply the `Replace` parameter for each individual attribute. Setting this value to `true` causes the new attribute value to replace the existing attribute value(s). For example, if an item has the attributes `{ 'a', '1' }` , `{ 'b', '2'}` and `{ 'b', '3' }` and the requestor calls `PutAttributes` using the attributes `{ 'b', '4' }` with the `Replace` parameter set to true, the final attributes of the item are changed to `{ 'a', '1' }` and `{ 'b', '4' }` , which replaces the previous values of the 'b' attribute with the new value.

NOTE: Using PutAttributes to replace attribute values that do not exist will not result in an error response.

You cannot specify an empty string as an attribute name.

Because Amazon SimpleDB makes multiple copies of client data and uses an eventual consistency update model, an immediate GetAttributes or Select operation (read) immediately after a DeleteAttributes operation (write) might not return the updated data.

The following limitations are enforced for this operation:

- 256 total attribute name-value pairs per item
- One billion attributes per domain
- 10 GB of total user data storage per domain

See Also:
  `AmazonSimpleDB.putAttributes(PutAttributesRequest)`

Constructor Summary
`PutAttributesRequest()` Default constructor for a new PutAttributesRequest object.
`PutAttributesRequest(String domainName, String itemName, List<ReplaceableAttribute> attributes)` Constructs a new PutAttributesRequest object.
`PutAttributesRequest(String domainName, String itemName, List<ReplaceableAttribute> attributes, UpdateCondition expected)` Constructs a new PutAttributesRequest object.

Method Summary
`List<ReplaceableAttribute>` | `getAttributes()` The list of attributes.
`String` | `getDomainName()` The name of the domain in which to perform the operation.
`UpdateCondition` | `getExpected()` The update condition which, if specified, determines whether the specified attributes will be updated or not.
`String` | `getItemName()` The name of the item.
`void` | `setAttributes(Collection<ReplaceableAttribute> attributes)` The list of attributes.
`void` | `setDomainName(String domainName)` The name of the domain in which to perform the operation.
`void` | `setExpected(UpdateCondition expected)` The update condition which, if specified, determines whether the specified attributes will be updated or not.
`void` | `setItemName(String itemName)` The name of the item.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PutAttributesRequest` | `withAttributes(Collection<ReplaceableAttribute> attributes)` The list of attributes.
`PutAttributesRequest` | `withAttributes(ReplaceableAttribute... attributes)` The list of attributes.
`PutAttributesRequest` | `withDomainName(String domainName)` The name of the domain in which to perform the operation.
`PutAttributesRequest` | `withExpected(UpdateCondition expected)` The update condition which, if specified, determines whether the specified attributes will be updated or not.
`PutAttributesRequest` | `withItemName(String itemName)` The name of the item.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PutAttributesRequest

    public PutAttributesRequest()

  Default constructor for a new PutAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### PutAttributesRequest

    public PutAttributesRequest(String domainName,
                                String itemName,
                                List<ReplaceableAttribute> attributes)

  Constructs a new PutAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item.
    `attributes` - The list of attributes.

### PutAttributesRequest

    public PutAttributesRequest(String domainName,
                                String itemName,
                                List<ReplaceableAttribute> attributes,
                                UpdateCondition expected)

  Constructs a new PutAttributesRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
    `itemName` - The name of the item.
    `attributes` - The list of attributes.
    `expected` - The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

Method Detail

### getDomainName

    public String getDomainName()

  The name of the domain in which to perform the operation.

  Returns:
    The name of the domain in which to perform the operation.

### setDomainName

    public void setDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.

### withDomainName

    public PutAttributesRequest withDomainName(String domainName)

  The name of the domain in which to perform the operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `domainName` - The name of the domain in which to perform the operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getItemName

    public String getItemName()

  The name of the item.

  Returns:
    The name of the item.

### setItemName

    public void setItemName(String itemName)

  The name of the item.

  Parameters:
    `itemName` - The name of the item.

### withItemName

    public PutAttributesRequest withItemName(String itemName)

  The name of the item.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `itemName` - The name of the item.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public List<ReplaceableAttribute> getAttributes()

  The list of attributes.

  Returns:
    The list of attributes.

### setAttributes

    public void setAttributes(Collection<ReplaceableAttribute> attributes)

  The list of attributes.

  Parameters:
    `attributes` - The list of attributes.

### withAttributes

    public PutAttributesRequest withAttributes(ReplaceableAttribute... attributes)

  The list of attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributes

    public PutAttributesRequest withAttributes(Collection<ReplaceableAttribute> attributes)

  The list of attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExpected

    public UpdateCondition getExpected()

  The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

  Returns:
    The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

### setExpected

    public void setExpected(UpdateCondition expected)

  The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

  Parameters:
    `expected` - The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

### withExpected

    public PutAttributesRequest withExpected(UpdateCondition expected)

  The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `expected` - The update condition which, if specified, determines whether the specified attributes will be updated or not. The update condition must be satisfied in order for this request to be processed and the attributes to be updated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.